// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import Vuex from 'vuex'
import store from './store'
import App from './App'
import router from './router'
import BootstrapVue from 'bootstrap-vue'
// import 'bootstrap/dist/css/bootstrap.css'
// import 'bootstrap-vue/dist/bootstrap-vue.css'
import ElementUI from 'element-ui'
// import 'element-ui/lib/theme-chalk/index.css'
import VueSidebarMenu from 'vue-sidebar-menu'
// import 'vue-sidebar-menu/dist/vue-sidebar-menu.css'
import DashboardPlugin from './plugins/dashboard-plugin'
import CKEditor from 'ckeditor4-vue'
import axios from 'axios'
import VueAxios from 'vue-axios'
import VueTreeList from 'vue-tree-list'
import vue2Images from 'vue2-images/src/lib/index'

// import {VueCsvImport} from 'vue-csv-import'
// import papa from 'papaparse'
Vue.use(VueTreeList)
Vue.use(VueSidebarMenu)
Vue.use(BootstrapVue)
Vue.use(ElementUI)
Vue.use(DashboardPlugin)
Vue.config.productionTip = false
Vue.use(CKEditor)
Vue.use(Vuex)
Vue.use(VueAxios, axios)
Vue.use(vue2Images)
// Vue.use(VueCsvImport)
// Vue.use(papa)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  render: h => h(App),
  template: '<App/>'
}).$mount('#app')

Vue.config.errorHandler = function (err, vm, info) {
  console.error(err)
}
